Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 12-08-2013 19:58:11

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

[Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Salut à tous !

Sous Debian 7.1 64 bits avec Mate, je n'arrive plus à lancer SRWare Iron (version 64 bits téléchargée il y a quelques jours sur le site officiel SRWare donc a priori à jour). Impossible d'obtenir quoi que ce soit en cliquant sur le raccourcis.
Après plusieurs réinstallation, mise à jour du système pour être sûr, sudo apt-get install -f parce qu'on sait jamais, et un reboot, toujours rien.
Je tente donc de lancer Iron depuis la console, et voilà ce que j'obtiens :

antoine@OrdinosaurusRex:~$ /usr/share/iron/iron
/usr/share/iron/iron: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/share/iron/iron)
/usr/share/iron/iron: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.15' not found (required by /usr/share/iron/iron)



Je cherche un peu sur google, mais je vois pas mal de trucs différents, je m'y retrouve pas. Je voudrais donc savoir si vous avez déjà eu ce problème, et comment vous le résoudriez.

Merci d'avance pour vos réponses !

PS : non je ne ferai pas de jeu de mot avec libc.so.6 !

Dernière modification par Ralph W. Llama (13-08-2013 12:53:46)


Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#2 12-08-2013 20:09:06

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Bonsoir,

Ralph W. Llama a écrit :

je n'arrive plus à lancer SRWare Iron


Ça veut dire que tu y arrivais ?
Dans ce cas, que s'est-il passé depuis ?

Comment avais-tu installé iron ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 12-08-2013 20:23:41

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Hum... maintenant que tu m'y fais penser... il marchait sur mon autre PC 32 bits, ça j'en suis sûr, mais sur celui-là, peut-être bien que j'avais jamais cherché à le faire marcher avant.

Sinon, pour l'instal, j'ai téléchargé le paquet iron64.deb sur le site officiel, et je l'ai installé avec dpkg -i.

Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#4 12-08-2013 22:18:43

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Et que donne

apt-cache policy libc6


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#5 12-08-2013 22:47:16

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

antoine@OrdinosaurusRex:~$ apt-cache policy libc6
libc6:
  Installé : 2.13-38
  Candidat : 2.13-38
 Table de version :
 *** 2.13-38 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages
        100 /var/lib/dpkg/status


Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#6 12-08-2013 22:57:40

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Je n'ai pas trop d'idée, à part désinstaller pour installer la version 28.0.1550.0  sad

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#7 12-08-2013 23:02:25

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Installer la version 28.0.1550.0 ? De Iron, tu veux dire ? Parce que si c'est ça, bah...

antoine@OrdinosaurusRex:~$ apt-cache policy iron64
iron64:
  Installé : 28.0.1550-0
  Candidat : 28.0.1550-0
 Table de version :
 *** 28.0.1550-0 0
        100 /var/lib/dpkg/status


Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#8 12-08-2013 23:07:20

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ah zut, j'avais l'impression qu'elle était très récente.
Au temps pour moi.

Si personne ne voit une solution, le mieux serait d'intervenir sur le forum de SRWare : https://www.srware.net/forum/index.php

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#9 12-08-2013 23:37:22

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Salut,

Quand est-ce que vous arrêterez de prendre des binaires à la c… noix à droite à gauche…
Et depuis quand un exécutable est-il rangé dans /usr/share ? Ce dossier n'est censé contenir que des données indépendantes de l'architecture…

La version stable est ici : http://www.srware.net/forum/viewtopic.php?f=18&t=7004 c'est sans doute elle que tu devrais prendre, en tout cas, elle fonctionne sous Sid.

Cependant, le logiciel est un peu packagé avec les pieds… donc si ça pète, c'est normal.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#10 12-08-2013 23:55:46

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

J'ai pas pris des trucs à la noix à droite-à gauche, j'ai suivi le lien "télécharger" sur cette page : http://www.srware.net/fr/software_srware_iron.php , qui m'emmène là : http://www.srware.net/fr/software_srwar … wnload.php , puis en cliquant sur le lien pour Linux (au passage ils ont oublié GNU, mais bon, on va pas troller pour si peu, hein), je me retrouve là : http://www.srware.net/forum/viewtopic.php?f=18&t=6457 . Et j'ai pas choisi où l'installer, j'ai juste fait dpkg -i. Si quelqu'un a fait de la merde, c'est SRWare.

De toute façon les liens sur ces topics sont les mêmes, et pointent donc vers le même paquet. Je me retrouve toujours avec la 28.0.1550-0. Et il est toujours dans /usr/share, et il demande toujours libc.so.6: versions `GLIBC_2.14' et `GLIBC_2.15'

Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#11 13-08-2013 08:31:17

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ben celle-là elle n'est pas stable ? https://www.srware.net/forum/viewtopic.php?f=18&t=7174

Pour /usr/share, ils ont peut-être pensé que leur binaire est indépendant de l'archi. lol

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#12 13-08-2013 08:46:22

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ralph W. Llama a écrit :

J'ai pas pris des trucs à la noix à droite-à gauche, j'ai suivi le lien "télécharger" sur cette page : http://www.srware.net/fr/software_srware_iron.php , qui m'emmène là : http://www.srware.net/fr/software_srwar … wnload.php , puis en cliquant sur le lien pour Linux (au passage ils ont oublié GNU, mais bon, on va pas troller pour si peu, hein), je me retrouve là : http://www.srware.net/forum/viewtopic.php?f=18&t=6457 . Et j'ai pas choisi où l'installer, j'ai juste fait dpkg -i. Si quelqu'un a fait de la merde, c'est SRWare.


Sous Debian, un paquet se prend depuis les dépôts officiels. Un paquet qui vient d'ailleurs est un « paquet à la noix ». Ça ne veut pas dire que le logiciel est mauvais, ça veut dire que le paquet n'est pas robuste et risque d'avoir plein de mauvaises dépendances, ce qui est le cas ici. En plus, un tel paquet n'a pas été fait par un véritable développeur Debian, ce qui explique pourquoi les binaires sont n'importe où dedans, et pourquoi il n'y a qu'un seul .deb pour différentes distro de différentes versions (typiquement, ça ressemble à un truc fait pour du Ubuntu 12.04, et qui du coup marchotte en Debian testing)

Ralph W. Llama a écrit :

De toute façon les liens sur ces topics sont les mêmes, et pointent donc vers le même paquet. Je me retrouve toujours avec la 28.0.1550-0. Et il est toujours dans /usr/share, et il demande toujours libc.so.6: versions `GLIBC_2.14' et `GLIBC_2.15'


Et tu l'as dans l'os puis que ta branche de Debian utilise la libc 2.13 et non pas 2.14 ou 2.15, ce qui fait que tu ne peux pas installer le-dit paquet.
Soit tu prends une versions plus ancienne du navigateur qui utilise ta libc, soit tu te le recompiles pour toi (soit tu passes en testing/sid, qui utilise la libc6 2.17, mais je te le déconseille).


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#13 13-08-2013 08:56:50

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

captnfab a écrit :

...tu prends une versions plus ancienne du navigateur qui utilise ta libc...


Par exemple, j'utilise la 24.0.1350.0 sous squeeze et ça tourne sans problème.

@Ralph W. Llama : entre la 24 et la 28, tu peux sûrement en trouver une fonctionnelle. smile


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#14 13-08-2013 10:38:03

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Sauf que je sais pas où trouver une version qui n'est pas la dernière.

Je vais aller poser la question sur le forum SRWare, ils ont peut-être des anciens paquets en stock.

Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#15 13-08-2013 11:14:44

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Tu peux aussi leur demander un .deb pour Debian stable.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#16 13-08-2013 11:30:06

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#17 13-08-2013 11:55:28

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ralph W. Llama a écrit :

toute façon les liens sur ces topics sont les mêmes, et pointent donc vers le même paquet. Je me retrouve toujours avec la 28.0.1550-0. Et il est toujours dans /usr/share, et il demande toujours libc.so.6: versions `GLIBC_2.14' et `GLIBC_2.15'


Regarde bien l'url, c'est la même à chaque fois. Ils ont une url pour le paquet à jour, et ils la postent sur un nouveau topic à chaque nouvelle version, mais c'est la même.


Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#18 13-08-2013 12:04:13

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ah oui roll

Je t'envoie mon paquet.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#19 13-08-2013 12:26:32

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

OK, tu me l'envoies comment ?

Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#20 13-08-2013 12:28:53

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ben en fait, j'ai essayé de l'uploader sur http://dl.free.fr, mais ce c.. de NOD32 l'a pris comme un virus et détruit sad

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#21 13-08-2013 12:30:34

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Ah merde...

Dropbox ça marche sous Debian ?

Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#22 13-08-2013 12:31:50

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

Je n'ai pas dropbox, je vais essayer autre chose et je te dis kwa.

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#23 13-08-2013 12:53:01

Ralph W. Llama
Membre
Lieu : /dev/null
Distrib. : Jessie 8.0
Noyau : Linux 3.16.0-4-amd64 / 686-pae
(G)UI : Xfce 4.10.1
Inscription : 09-08-2013
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

J'ai reçu le paquet, et ça marche !

Merci !

Vivre libre ou mourir !


Des détails sur mes PCs

Hors ligne

#24 13-08-2013 13:23:03

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

cool

Par contre, je me demande bien ce qu'ils font des anciennes versions.
Paske si t'as squeeze, t'es grosjean maintenant, à moins de compiler !  hmm

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#25 13-08-2013 13:30:48

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [Résolu] SRWare Iron ne se lance pas, problème de libc.so.6

On notera quand même qu'utiliser une ancienne version n'est pas une solution à long terme, puisque niveau sécurité, c'est zéro. Or le navigateur, c'est un peu le point d'accès de l'extérieur sur ton ordinateur, le terminal d'entrée de tous ceux qui voudraient profiter de ta présence sur le réseau. Se contenter des anciennes versions n'est donc pas raisonnable.
Les packagers devraient d'ailleurs indiquer quelles sont les versions/distributions supportées et fournir le .deb à jour pour ces versions.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

Pied de page des forums